INTERFACE
SUBROUTINE MWAVE_PUT_TL( PMWAVE_TB_BUF_TL,KMWAVE_BUF)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
USE YOMGEM , ONLY : NGPTOT
USE YOMMWAVE , ONLY : N_SATSENS, MWAVE_ID, MWAVE_OK,&
 & MWAVE_REJECTOBS 
USE PARMWAVE , ONLY : NMAX_CHAN
REAL(KIND=JPRB) ,INTENT(IN) :: PMWAVE_TB_BUF_TL(NGPTOT,NMAX_CHAN,N_SATSENS)
INTEGER(KIND=JPIM),INTENT(IN) :: KMWAVE_BUF(NGPTOT,NMAX_CHAN,N_SATSENS)
END SUBROUTINE MWAVE_PUT_TL
END INTERFACE
